Subject: Re: [ofa-general] InfiniBand/RDMA merge plans for 2.6.24

From: Roland Dreier <[email-masked]>
Date: Tue, 02 Oct 2007 11:26:53 -0700

> >OK -- just to make sure I'm understanding what you're saying: have you
 > >confirmed that your proposed [CM MRA] patches actually fix the issue?
 > 
 > Not directly.  I cannot easily test kernel patches on our larger, production
 > clusters.  We've seen the issue with specific applications on 512 and 1024
 > cores, but I've only been able to test the patch on a 48-core cluster.  I have
 > verified that it successfully increases the timeout to where it *should* work,
 > but cannot absolutely confirm that it will fix the problem.  I'm unlikely to
 > know that until the production clusters move to an OFED release (1.3?)
 > containing this patch.

Umm... this is a difficult situation for me to merge the changes then.
We're changing the CM retry behavior blind here.  How do we know that
the MRA changes don't make the scalability issue worse?

 - R.